cURL
curl --request GET \
--url https://your-hosted-ip/api/v1/agent/{agentId}/meeting-data \
--header 'Authorization: <api-key>'import requests
url = "https://your-hosted-ip/api/v1/agent/{agentId}/meeting-data"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://your-hosted-ip/api/v1/agent/{agentId}/meeting-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"agentId": "<string>",
"agentName": "<string>",
"meetingId": "<string>",
"meetingUrl": "<string>",
"webhookUrl": "<string>",
"platform": "<string>",
"transcriptionProvider": {
"name": "<string>"
}
},
"recording": {
"url": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"participants": [
{
"name": "<string>",
"meetingRole": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"statusChanges": [
{
"code": "<string>",
"sub_code": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Current APIs
Get Meeting Data
Fetches meeting data for a specific agent by agentId.
GET
/
agent
/
{agentId}
/
meeting-data
cURL
Authorizations
Use the format 'Token ' for authentication.
Path Parameters
The ID of the agent whose meeting data is being fetched
⌘I